Skip to main content
`Ctrl`+`K`

# scipy.linalg.lapack.zgelss

scipy.linalg.lapack.zgelss(a, b[, cond, lwork, overwrite_a, overwrite_b]) = <fortran function zgelss>

  Wrapper for `zgelss`.

  Parameters:
    a input rank-2 array(‘D’) with bounds (m,n)
    b input rank-2 array(‘D’) with bounds (maxmn,nrhs)
  Returns:
    v rank-2 array(‘D’) with bounds (m,n) and a storage
    x rank-2 array(‘D’) with bounds (maxmn,nrhs) and b storage
    s rank-1 array(‘d’) with bounds (minmn)
    rank int
    work rank-1 array(‘D’) with bounds (MAX(lwork, 1))
    info int
  Other Parameters:
    overwrite_a input int, optional

      Default: 0

    overwrite_b input int, optional

      Default: 0

    cond input float, optional

      Default: -1.0

    lwork input int, optional

      Default: max(2*minmn+MAX(maxmn,nrhs),1)